<template>
    <div class="Agregar">
        <div class="container">

            <div class="alert alert-success alert-dismissible fade show" v-if="seen">Agregado Exitosamente
                <button type="button" class="close" data-dismiss="alert" aria-label="Close" @click="isAdded">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>

            <!--Card form-->

            <div class="row d-flex justify-content-center my-3">
                <div class="col-md-6">

                    <div class="card text-center">
                        <div class="card-header">
                            Agregar desembolso.
                        </div>

                        <div class="card-body">
                            <!--Formulario para dar de alta-->
                            <form>
                                <!--fila-->
                                    <div class="form-group">
                                        <label for="nombre_ac">Nombre AC: </label>
                                        <input type="text" class="form-control" id="nombre_ac" v-model="nombre_ac" required>
                                        <small id="demo" class="form-text text-danger" v-if="!nombre_ac">
                                            *Campo requerido.
                                        </small>
                                    </div> 

                                    <div class="form-group ">
                                        <label for="clientes">Clientes: </label>
                                        <input type="number" class="form-control" id="clientes" v-model="clientes" required>
                                        <small id="demo" class="form-text text-danger" v-if="!clientes">
                                            *Campo requerido.
                                        </small>
                                    </div> 

                                    <div class="form-group">
                                        <label for="monto">Monto: </label>
                                        <input type="text" class="form-control" id="monto" v-model="monto" required>
                                        <small id="demo" class="form-text text-danger" v-if="!monto">
                                            *Campo requerido.
                                        </small>
                                    </div>
                                    <div class="form-group">
                                        <label for="banco">Banco: </label>
                                        <select class="custom-select" name="banco" id="banco" v-model="banco" required>
                                            <option selected></option>
                                            <option value="bancomer">BBVA Bancomer</option>
                                            <option value="banamex">Banamex</option>
                                        </select>
                                        <small id="demo" class="form-text text-danger" v-if="!banco">
                                            *Campo requerido.
                                        </small>
                                    </div>
                                
                                    <div class="form-group">
                                        <label for="fecha_desembolso">Desembolso: </label>
                                        <input type="date" class="form-control" id="fecha_desembolso" name="fecha_desembolso" v-model="fecha_desembolso" required>
                                        <small id="demo" class="form-text text-danger" v-if="!fecha_desembolso">
                                            *Campo requerido.
                                        </small>
                                    </div>
                                    <div class="form-group">
                                        <label for="sucursal">Sucursal: </label>
                                        <select class="custom-select" name="sucursal" id="sucursal" v-model="sucursal" required>
                                            <option selected></option>
                                            <option value="xalapa">Xalapa</option>
                                            <option value="teziutlan">Teziutlán</option>
                                            <option value="oaxaca">Oaxaca</option>
                                            <option value="puebla">Puebla</option>
                                            <option value="huamantla">Huamantla</option>
                                        </select>
                                        <small id="demo" class="form-text text-danger" v-if="!sucursal">
                                            *Campo requerido.
                                        </small>
                                    </div>
                                    <div class="form-group">
                                        <label for="regional">Region: </label>
                                        <select class="custom-select" name="regional" id="regional" v-model="regional" required>
                                            <option selected></option>
                                            <option value="veracruz">Veracruz</option>
                                            <option value="oaxaca">Oaxaca</option>
                                            <option value="puebla">Puebla</option>
                                        </select>
                                        <small id="demo" class="form-text text-danger" v-if="!regional">
                                            *Campo requerido.
                                        </small>
                                    </div>
                                <button type="button" class="btn btn-primary mb-3" @click="agregarDesembolso">Guardar</button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <!--Footer/Pie de pagina-->
        <Footer></Footer>
    </div>
</template>

<script>
import Footer from './Footer.vue'
import axios from 'axios'

export default {
    name: 'Agregar',
    components: {
        Footer
    },
    data() {
        return {
            nombre_ac: '',
            clientes: '',
            monto: '',
            banco: '',
            fecha_desembolso: '',
            sucursal: '',
            regional: '',
            seen: false,
        }
    },

    methods: {
        isAdded: function(){
            this.seen = false;
        },

        agregarDesembolso() {
            if (this.nombre_ac === "" || this.clientes === "" || this.monto === "" || this.banco === "" || this.fecha_desembolso === "" || this.sucursal === "" || this.regional === ""){
                this.texto = "***Campo requerido***";
                //console.log("Campos Req");
                document.getElementById("demo").innerHTML = this.texto;
                return false;
            } else {
                this.seen = true;
                axios.post('/operaciones', {
                    nombre_ac: this.nombre_ac,
                    clientes: this.clientes,
                    monto: this.monto,
                    banco: this.banco,
                    fecha_desembolso: this.fecha_desembolso,
                    sucursal: this.sucursal,
                    regional: this.regional
                })
                .then((res) => {
                    this.nombre_ac = ''
                    this.clientes = ''
                    this.monto = ''
                    this.banco = ''
                    this.fecha_desembolso = ''
                    this.sucursal = ''
                    this.regional = ''
                }).catch((err) => {
                    console.log(err)
                })
            }
            //console.log('Método agragar desembolso!!');
        }
    }
}
</script>